export declare const useStore: () => {
    data: import("vue").Ref<{}, {}>;
    formData: import("vue").Ref<never[], never[]>;
    formRule: import("vue").Ref<Partial<Record<string, import("element-plus/es/utils/typescript.mjs").Arrayable<import("element-plus").FormItemRule>>>, Partial<Record<string, import("element-plus/es/utils/typescript.mjs").Arrayable<import("element-plus").FormItemRule>>>>;
    showData: import("vue").Ref<{}, {}>;
    disabledData: import("vue").Ref<{}, {}>;
    flowKey: import("vue").Ref<string, string>;
    linkData: import("vue").Ref<{}, {}>;
    encryptionData: import("vue").Ref<never[], never[]>;
    setData: (key: string, val: any) => void;
    setDetailData: (val: any) => void;
    setLinkData: (data: any, val: any) => void;
    getData: (key: string) => any;
    setFormData: (formKey: string, boKey: string, reportId?: string) => void;
    getFormData: () => never[];
    setFormRule: (key: string, ruleArr: any) => void;
    clearData: () => void;
    deleteRule: (key: string) => void;
};
